Xeonr Developer Docs
API SpecificationNamespaces

ListNamespaces

POST
/containers.api.v1.NamespaceService/ListNamespaces

Authorization

BearerAuth
AuthorizationBearer <token>

A namespace-scoped API key (cpk_…) for machines, or a Xeonr Auth OIDC token for humans. The key's namespace and role are pinned server-side.

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

pageSize?integer
pageToken?string
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://containers.xeonr.io/containers.api.v1.NamespaceService/ListNamespaces" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "namespaces": [
    {
      "namespace": "string",
      "displayName": "string",
      "k8sRunnerNamespace": "string",
      "groups": [
        {
          "oidcGroup": "string",
          "role": "ROLE_UNSPECIFIED"
        }
      ],
      "defaultLimits": {
        "cpuMillis": 0,
        "memoryMb": 0,
        "ephemeralMb": 0,
        "pids": 0
      },
      "quotaCpuMillis": 0,
      "quotaMemoryMb": 0,
      "quotaMaxPods": 0,
      "internalTargets": [
        {
          "host": "string",
          "port": 0
        }
      ],
      "imagePullSecrets": [
        "string"
      ]
    }
  ],
  "nextPageToken": "string"
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}